objdump(1)

NAME
objdump - display information from object files.

SYNOPSIS

objdump
    [-a|--archive-headers] [-b bfdname | --target= bfdname ] [-d|--disassemble] [-D|--disassemble-all] [-f|--file-headers] [-h|--section-headers | --headers] [-i|--info] [-j section | --section= section ] [-l|--line-numbers] [-m machine | --architecture= machine ] [-r|--reloc] [-R|--dynamic-reloc] [-s|--full-contents] [--stabs] [-t|--syms] [-T|--dynamic-syms] [-x|--all-headers] [--version] [--help] objfile ...

DESCRIPTION
objdump displays information about one or more object files. The options control what particular information to display. This information is mostly useful to programmers who are working on the compilation tools, as opposed to programmers who just want their program to compile and work.

objfile... are the object files to be examined. When you specify archives, objdump shows information on each of the member object files.

OPTIONS
Where long and short forms of an option are shown together, they are equivalent. At least one option besides -l (--line-numbers) must be given.

-a

--archive-headers
    If any files from objfile are archives, display the archive header information (in a format similar to `ls -l '). Besides the information you could list with `ar tv ', `objdump -a ' shows the object file format of each archive member.

-b bfdname

--target=bfdname
    Specify the object-code format for the object files to be bfdname . This may not be necessary; objdump can automatically recognize many formats. For example,

    objdump -b oasys -m vax -h fu.o

    display summary information from the section headers (`-h ') of `fu.o ', which is explicitly identified (`-m ') as a Vax object file in the format produced by Oasys compilers. You can list the formats available with the `-i ' option.

-d

--disassemble
    Display the assembler mnemonics for the machine instructions from objfile . This option only disassembles those sections which are expected to contain instructions.

-D

--disassemble-all
    Like -d, but disassemble the contents of all sections, not just those expected to contain instructions.

-f

--file-headers
    Display summary information from the overall header of each file in objfile .

-h

--section-headers

--headers
    Display summary information from the section headers of the object file.

--help
    Print a summary of the options to objdump and exit.

-i

--info
    Display a list showing all architectures and object formats available for specification with -b or -m .

-j name

--section=name
    Display information only for section name

-l

--line-numbers
    Label the display (using debugging information) with the filename and source line numbers corresponding to the object code shown. Only useful with -d or -D.

-m machine

--architecture=machine
    Specify the object files objfile are for architecture machine . You can list available architectures using the `-i ' option.

-r

--reloc
    Print the relocation entries of the file. If used with -d or -d, the relocations are printed interspersed with the disassembly.

-R

--dynamic-reloc
    Print the dynamic relocation entries of the file. This is only meaningful for dynamic objects, such as certain types of shared libraries.

-s

--full-contents
    Display the full contents of any sections requested.

--stabs
    Display the contents of the .stab, .stab.index, and .stab.excl sections from an ELF file. This is only useful on systems (such as Solaris 2.0) in which .stab debugging symbol-table entries are carried in an ELF section. In most other file formats, debugging symbol-table entries are interleaved with linkage symbols, and are visible in the --syms output.

-t

--syms
    Symbol Table. Print the symbol table entries of the file. This is similar to the information provided by the `nm ' program.

-T

--dynamic-syms
    Dynamic Symbol Table. Print the dynamic symbol table entries of the file. This is only meaningful for dynamic objects, such as certain types of shared libraries. This is similar to the information provided by the `nm ' program when given the -D (--dynamic) option.

--version
    Print the version number of objdump and exit.

-x

--all-headers
    Display all available header information, including the symbol table and relocation entries. Using `-x ' is equivalent to specifying all of `-a -f -h -r -t '.

SEE ALSO
`binutils' entry in info; The GNU Binary Utilities, Roland H. Pesch (October 1991); nm(1).

COPYING
Copyright (c) 1991 Free Software Foundation, Inc.

Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

Permission is granted to copy and distribute modified versions of this manual under the conditions for verbatim copying, provided that the entire resulting derived work is distributed under the terms of a permission notice identical to this one.

Permission is granted to copy and distribute translations of this manual into another language, under the above conditions for modified versions, except that this permission notice may be included in translations approved by the Free Software Foundation instead of in the original English.